Bug 419961 - Evince consumes vast amounts of ram
Summary: Evince consumes vast amounts of ram
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 8
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-11 16:17 UTC by William Murray
Modified: 2015-07-13 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:31:37 UTC


Attachments (Terms of Use)
The pdf which kills my evince. (621.06 KB, application/pdf)
2007-12-11 16:17 UTC, William Murray
no flags Details

Description William Murray 2007-12-11 16:17:38 UTC
Description of problem:
In processing the attached file evince uses 2Gb of ram on my
1Gb+swap machines.

Version-Release number of selected component (if applicable):
evince-2.20.2-1.fc8

How reproducible:
Prett good, but not quantifiable

Steps to Reproduce:
1. Open the attached pdf in evince
2. Scroll through to the end
3. And back to the beginning
  
Actual results:
2Gb of ram used, process grinds to a halt.

Expected results:
Read document

Additional info:
This happens on two machine, i686 and x86_64, both using flgrx display driver,
and a third i686 using the fedora driver

Comment 1 William Murray 2007-12-11 16:17:38 UTC
Created attachment 284291 [details]
The pdf which kills my evince.

Comment 2 Bug Zapper 2008-11-26 08:57:27 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 William Murray 2008-11-26 10:23:18 UTC
And it is fixed in F10 anyway.

Comment 4 Bug Zapper 2009-01-09 07:31:37 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Richard Jasmin 2015-07-13 01:14:21 UTC
SQUISH the bug, stop forcing WONTFIX if its fixed.STOP being LAZY.


Note You need to log in before you can comment on or make changes to this bug.